%define DATE 20020326
%define is_release 1
%define beta %{nil}
%define rel 0.73.0

%define libtool 1

Name: kdesdk
Version: 3.0.5a
Summary: The KDE Software Development Kit (SDK)
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%if %{is_release}
%if "%{beta}"
Release: 0.%{beta}.%{rel}
Source: %{name}-%{version}-%{beta}.tar.bz2
%else
Release: %{rel}
Source: %{name}-%{version}.tar.bz2
%endif
%else
Release: 1.cvs%{DATE}.%{rel}
Source: %{name}-%{DATE}.tar.bz2
%endif
Source900: gccver.c

Prereq: /sbin/ldconfig

BuildPrereq: qt-devel >= 3.0.3
BuildPrereq: kdelibs-devel >= %{version}

ExcludeArch: ia64 alpha

%description
A collection of applications and tools used by KDE developers.
Among other things, kdesdk provides tools for working on the KDE CVS
repository.

%package -n cervisia
Summary: Graphical CVS client
Group: Development/Tools
Epoch: 2
License: QPL

%description -n cervisia
Cervisia is a KDE graphical frontend for the the CVS client. It
features checking out a module from a repository, updating or
retrieving the status of a working directory or single files, common
operations like add, remove and commit, diff against the repository
and between different revisions, annotated view of a file, view of the
log messages in tree and list form as well as resolving of conflicts
in a file.

%package kbabel
Summary: Translator tools
Group: Development/Tools
Obsoletes: kbabel ktranslator kdesdk

%description kbabel
Translator tools.
kbabel includes a .po file editor, a catalog manager, message extraction
tools, and po file thumbnail views for Konqueror (the KDE file manager).

%package kbugbuster
Summary: KBugBuster - debugging tools
Group: Development/Tools
Obsoletes: kdesdk

%description kbugbuster
Debugging tools

%package gimp
Summary: KDE palette for GIMP
Requires: gimp >= 1.2
Group: Applications/Multimedia

%description gimp
The standard KDE palette in GIMP format. This allows you to create/edit
low-color KDE icons using the GIMP.

%package kapptemplate
Summary: Tool for creating a skeleton KDE application
Group: Development/Tools
Obsoletes: kdesdk

%description kapptemplate
kapptemplate creates a skeleton KDE application (configure stuff, automake
stuff, etc.), allowing you to start writing the relevant code instead of
bothering with things that have already been done.

kapptemplate supports both standalone applications and plugins utilizing
KParts technology.

%package kmtrace
Summary: Malloc debugger for KDE
Group: Development/Tools
Obsoletes: kdesdk

%description kmtrace
KMtrace is a malloc (memory allocation) debugger for KDE.

%package kompare
Summary: File comparison tool for KDE
Group: Applications/Utilities
Obsoletes: kdesdk

%description kompare
A file comparison tool for KDE

%package kspy
Summary: Qt/KDE application state examination tool
Group: Development/Tools
Obsoletes: kdesdk

%description kspy
KSpy is a utility intended to help developers examine the internal
state of a Qt/KDE application. KSpy graphically displays all the
QObjects in use, and allows you to browse their properties. Using KSpy
is very simple, include kspy.h and call KSpy::invoke() when you want
to looks inside your app. The KSpy function is inline and the main
part of KSpy is dynamically loaded, so you may even want to leave this
in the release build of an application.

%prep
%if %{is_release}
%setup -q
%else
%setup -q -n %{name}
%endif

echo "DO_NOT_COMPILE=\"\"" > kbugbuster/configure.in.in

# Workaround for legacy auto* tools
%if %{libtool}
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f admin/Makefile.common cvs
%endif

%build
export LANG=C
QTDIR="" && . /etc/profile.d/qt.sh
FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
CFLAGS="$FLAGS" CXXFLAGS="$FLAGS" \
%configure --includedir=%{_includedir}/kde

gcc -o gccver %{SOURCE900}
if [ "0`./gccver`" -lt 3001 ]; then
   find . -name Makefile |xargs perl -pi -e "s,^CXXLD\s*=.*,\$& -release gcc`./gccver -v`,g"
fi

make %{?_smp_mflags}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT transform=

# Remove dupes from kdeartwork
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/apps/kbabel.png
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/32x32/apps/kbabel.png

# Remove dupes from kdevelop
rm -f $RPM_BUILD_ROOT/usr/bin/extractrc

# Install stuff that doesn't get installed by make install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gimp/1.2/palettes
install -c -m 644 kdepalettes/KDE_Gimp $RPM_BUILD_ROOT%{_datadir}/gimp/1.2/palettes

# make symlinks relative
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/common
pushd $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
   fi
done
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files -n cervisia
%defattr(-,root,root)
%{_libdir}/libcervisia*.*
%{_bindir}/cervisia
%{_datadir}/applnk/Development/cervisia.desktop
%{_datadir}/icons/*/*/*/cervisia.png
%{_datadir}/apps/cervisia
%doc %{_docdir}/HTML/en/cervisia

%files kbabel
%defattr(-,root,root)
%{_libdir}/libkbabel*
%{_libdir}/kde3/libpocompendium*
%{_libdir}/kde3/libpoauxiliary*
%{_libdir}/kde3/pothumbnail.*
%{_libdir}/libcatalogmanager*
%{_includedir}/kde/kbabel
%{_bindir}/kbabel*
%{_bindir}/catalogmanager
%{_datadir}/icons/*/*/*/kbabel*
%{_datadir}/icons/*/*/*/catalogmanager*
%{_datadir}/icons/*/*/*/gettext.png
%{_datadir}/applnk/Development/kbabel*desktop
%{_datadir}/applnk/Development/catalogmanager.desktop
%{_datadir}/apps/kbabel
%{_datadir}/apps/kbabeldict
%{_datadir}/apps/catalogmanager
%{_datadir}/mimelnk/application/x-gettext.desktop
%{_datadir}/services/pothumbnail.desktop
%doc %{_docdir}/HTML/en/kbabel
# %doc %{_docdir}/HTML/en/ktranslator

%files kbugbuster
%defattr(-,root,root)
%{_datadir}/apps/kbugbuster
%{_datadir}/applnk/Development/kbugbuster.desktop
%{_bindir}/kbugbuster

%files gimp
%defattr(-,root,root)
%{_datadir}/gimp/1.2/palettes/KDE_Gimp

%files kapptemplate
%defattr(-,root,root)
%{_bindir}/kapptemplate
%{_datadir}/apps/kapptemplate

%files kmtrace
%defattr(-,root,root)
%{_libdir}/libktrace*
%{_bindir}/kmtrace
%{_bindir}/kminspector
%{_datadir}/apps/kmtrace
%{_includedir}/kde/ktrace.h

%files kompare
%defattr(-,root,root)
%{_bindir}/kompare
%{_libdir}/kde3/libkomparepart*
%{_datadir}/services/kompare*
%{_datadir}/apps/kompare
%{_datadir}/apps/komparepart
%{_datadir}/icons/*/*/*/kompare.png
%{_datadir}/applnk/Development/kompare.desktop

%files kspy
%defattr(-,root,root)
%{_libdir}/libkspy*
%{_includedir}/kde/kspy.h

%changelog
* Fri Dec 27 2002 Than Ngo <than@redhat.com> 3.0.5a-0.73.0
- 3.0.5a

* Mon Aug 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-1
- 3.0.3

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-5
- Rename libraries

* Tue Apr  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Fix bug #62259

* Sun Mar 31 2002 Than Ngo <than@redhat.com> 3.0.0-3
- fix bug #62388

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-2
- final

* Tue Mar 26 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020326.1
- update

* Sun Mar 24 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020324.1
- update
- fix bug #61671, #61670, #61656
- add more buildrequires

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020102.1
- Update
- Split in subpackages

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- update to 2.2 release

* Sat Aug  04 2001 Than Ngo <than@redhat.com> 2.2-0.cvs20010804.1
- update
- fix bug #50665

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Remove extractrc (it's in kdevelop)
- remove ia64 workarounds

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- update

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin
- fix dangling symlink

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc
- obsolete ktranslator kless (from powertools)
- clean up specfile
- add missing %post and %postun (ldconfig)

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of libkdefakes.so.0 requirement
- Obsolete kbabel (from Powertools)

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
